Skip to main content
POST
/
atlas
/
settlements
/
{settlementId}
/
reject
Reject a settlement proposal
curl --request POST \
  --url https://api.anchorage-staging.com/v2/atlas/settlements/{settlementId}/reject \
  --header 'Api-Access-Key: <api-key>' \
  --header 'Api-Signature: <api-signature>' \
  --header 'Api-Timestamp: <api-timestamp>'
{
  "message": "Missing required field 'amount'."
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Headers

Api-Signature
string
required

A hex-encoded Ed25519 signature of timestamp_epoch_seconds + uppercase(http_method) + request_path + request_body.

Construction example:

toHex(
ed25519Sign(
signing_key,
'{}{}{}{}'.format(timestamp_epoch_seconds, toUpper(httpMethod), httpRequestPath, httpBody)
)
)
Pattern: ^[0-9A-Fa-f]{128,160}$
Api-Timestamp
integer<int64>
required

Current timestamp, represented as unix epoch seconds

Path Parameters

settlementId
string
required

ID of settlement to reject

Response